(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Franois Pessaux, projet Cristal, INRIA Rocquencourt     *)
(*            Pierre Weis, projet Cristal, INRIA Rocquencourt          *)
(*            Jun Furuse, projet Cristal, INRIA Rocquencourt           *)
(*                                                                     *)
(*  Copyright 1999,2000,2001,2002,2001,2002                            *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

val check_header : string -> Image.header
  (* Checks the file header *)

val load : string -> Image.load_option list -> Image.t
  (* Loads a png image. *)

val load_as_rgb24 : string -> Image.load_option list -> Image.t
  (* Loads a png image, and coerce it to Rgb24. *)

val save : string -> Image.save_option list -> Image.t -> unit
  (* Saves an image into a png file format. *)
